Returns task statuses of the project template.

GEThttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/taskstatuses
GET https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/taskstatuses

Returns task statuses of the project template. The result includes statuses available to the template.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectTemplateIdstringRequired
format: uuid

The id of the project template.

Query parameters

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The primary identifier of this task status.

namestring or nullOptional

The name of the task status.

typestring or nullOptional

Of what general type is this task status?.

ordernumber or nullOptional
format: double

The order of the task status in a project.

iconstring or nullOptional

The icon of the task status.

projectIdstring or nullOptional
format: uuid

Is set if the task status is related to a project.

projectTypeIdstring or nullOptional
format: uuid

Is set if the task status is related to a project type.

workflowIdstring or nullOptional
format: uuid

Is set if the task status is related to a workflow.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isExternalbooleanOptional

True if the task status is coming from an external workspace (awork Connect).

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation